randomset.h File Reference
`#include "groebner_defs.h"`
`#include <boost/random/uniform_smallint.hpp>`
`#include <boost/random/linear_congruential.hpp>`
`#include <boost/random/variate_generator.hpp>`

Go to the source code of this file.

## Namespaces

| polybori
| polybori::groebner

## Typedefs

typedef boost::minstd_rand | polybori::groebner::base_generator_type
typedef boost::uniform_smallint | polybori::groebner::distribution_type
typedef boost::variate_generator< base_generator_type &, distribution_type > | polybori::groebner::bool_gen_type

## Functions

MonomialSet | polybori::groebner::random_set (const Monomial &variables, unsigned int len)
void | polybori::groebner::set_random_seed (unsigned int seed)